com.collabnet.ce.soap60.webservices.tracker

## Class Artifact2SoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO
    - - com.collabnet.ce.soap60.webservices.tracker.Artifact2SoapDO

-     public class Artifact2SoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

  The Artifact2SoapDO class represents the data associated with an artifact.
  Change History
  Release: 4.2
  - Added constants for list filters.
  Release: 4.4
  - added constants for column names
  - Changed Flex fields from being SoapNamedValues to being SoapFieldValues
  Release: 6.1
  - Added id of planning folder.
  - Added points field.
  - Added autosumming field.
  - Renamed estimatedHours and actualHours to estimatedEffort and actualEffort, and added remainingEffort field.
  Release: 8.0
  - Added autoSummingPoints field.
  - Added id of team.
  Since:
    4.1

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COLUMN_ACTUAL_EFFORT` Actual Effort column name.
    `static String` | `COLUMN_ARTIFACT_GROUP` Artifact Group column name.
    `static String` | `COLUMN_ASSIGNED_TO_FULLNAME` Assigned To Fullname column name.
    `static String` | `COLUMN_ASSIGNED_TO_USERNAME` Assigned To Username column name.
    `static String` | `COLUMN_AUTO_SUMMING_POINTS` Auto Summing Points.
    `static String` | `COLUMN_AUTOSUMMING` Autosumming.
    `static String` | `COLUMN_CATEGORY` Category column name.
    `static String` | `COLUMN_CLOSE_DATE` Close Date column name.
    `static String` | `COLUMN_CUSTOMER` Customer column name.
    `static String` | `COLUMN_DESCRIPTION` Description column name.
    `static String` | `COLUMN_ESTIMATED_EFFORT` Estimated Effort column name.
    `static String` | `COLUMN_FLEX_FIELDS` Flex Fields column name.
    `static String` | `COLUMN_FOLDER_ID` Folder Id column name.
    `static String` | `COLUMN_FOLDER_PATH_STRING` Folder Path String column name.
    `static String` | `COLUMN_FOLDER_TITLE` Folder Title column name.
    `static String` | `COLUMN_ID` Id column name.
    `static String` | `COLUMN_LAST_MODIFIED_DATE` Last Modified Date column name.
    `static String` | `COLUMN_PLANNING_FOLDER_ID` Planning Folder Id.
    `static String` | `COLUMN_PLANNING_FOLDER_TITLE` Planning Folder Title column name.
    `static String` | `COLUMN_POINTS` Points.
    `static String` | `COLUMN_PRIORITY` Priority column name.
    `static String` | `COLUMN_PROJECT_ID` Project Id column name.
    `static String` | `COLUMN_PROJECT_PATH_STRING` project Path String column name.
    `static String` | `COLUMN_PROJECT_TITLE` Project Title column name.
    `static String` | `COLUMN_REMAINING_EFFORT` Remaining Effort column name.
    `static String` | `COLUMN_REPORTED_IN_RELEASE_TITLE` Reported In Release Title column name.
    `static String` | `COLUMN_RESOLVED_IN_RELEASE_TITLE` Resolved In Release Title column name.
    `static String` | `COLUMN_STATUS` Status column name.
    `static String` | `COLUMN_STATUS_CLASS` Status Class column name.
    `static String` | `COLUMN_SUBMITTED_BY_FULLNAME` Submitted By Fullname column name.
    `static String` | `COLUMN_SUBMITTED_BY_USERNAME` Submitted By Username column name.
    `static String` | `COLUMN_SUBMITTED_DATE` Submitted Date column name.
    `static String` | `COLUMN_TEAM_ID` Team Id.
    `static String` | `COLUMN_TITLE` Title column name.
    `static String` | `COLUMN_VERSION` Version column name.
    `static String` | `FILTER_ACTUAL_EFFORT` Filter name for actual effort.
    `static String` | `FILTER_ASSIGNED_TO` Filter name for assignedTo.
    `static String` | `FILTER_AUTO_SUMMING_POINTS` Filter name for auto summing points.
    `static String` | `FILTER_AUTOSUMMING` Filter name for autosumming.
    `static String` | `FILTER_CATEGORY` Filter name for category.
    `static String` | `FILTER_CUSTOMER` Filter name for customer.
    `static String` | `FILTER_ESTIMATED_EFFORT` Filter name for estimated effort.
    `static String` | `FILTER_GROUP` Filter name for group.
    `static String` | `FILTER_MODIFIED_AFTER` Filter name for modified after.
    `static String` | `FILTER_MODIFIED_BEFORE` Filter name for modified before.
    `static String` | `FILTER_PLANNING_FOLDER_ID` Filter name for planning folder id.
    `static String` | `FILTER_POINTS` Filter name for points.
    `static String` | `FILTER_PRIORITY` Filter name for priority.
    `static String` | `FILTER_REMAINING_EFFORT` Filter name for remaining effort.
    `static String` | `FILTER_REPORTED_IN_RELEASE_ID` Filter name for reported in release id column name.
    `static String` | `FILTER_REPORTED_IN_RELEASE_TITLE` Filter name for reported in release title column name.
    `static String` | `FILTER_RESOLVED_IN_RELEASE_ID` Filter name for resolved in release id column name.
    `static String` | `FILTER_RESOLVED_IN_RELEASE_TITLE` Filter name for resolved in release title column name.
    `static String` | `FILTER_STATUS` Filter name for status.
    `static String` | `FILTER_STATUS_CLASS` Filter name for status class.
    `static String` | `FILTER_SUBMITTED_AFTER` Filter name for submitted after.
    `static String` | `FILTER_SUBMITTED_BEFORE` Filter name for submitted before.
    `static String` | `FILTER_SUBMITTED_BY` Filter name for submittedBy.
    `static String` | `FILTER_TEAM_ID` Filter name for team id.
    `static String` | `FILTER_TITLE` Filter name for title.
    `static int` | `PRIORITY_HIGH` Possible value for the 'priority' field
    `static int` | `PRIORITY_HIGHEST` Possible value for the 'priority' field
    `static int` | `PRIORITY_LOW` Possible value for the 'priority' field
    `static int` | `PRIORITY_LOWEST` Possible value for the 'priority' field
    `static int` | `PRIORITY_MEDIUM` Possible value for the 'priority' field
    `static int` | `PRIORITY_NONE` Possible value for the 'priority' field

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Artifact2SoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActualEffort()` Returns 'actualEffort'.
    `String` | `getAssignedTo()` Returns 'assignedTo'.
    `boolean` | `getAutosumming()` Returns 'autosumming'.
    `boolean` | `getAutoSummingPoints()` Returns 'autoSummingPoints'.
    `String` | `getCategory()` Returns 'category'.
    `Date` | `getCloseDate()` Returns 'closeDate'.
    `String` | `getCustomer()` Returns 'customer'.
    `String` | `getDescription()` Returns 'description'.
    `int` | `getEstimatedEffort()` Returns 'estimatedEffort'.
    `com.collabnet.ce.soap60.types.SoapFieldValues` | `getFlexFields()` Returns 'flexFields'.
    `String` | `getGroup()` Returns 'group'.
    `String` | `getPlanningFolderId()` Returns 'planningFolderId'.
    `int` | `getPoints()` Returns 'points'.
    `int` | `getPriority()` Returns 'priority'.
    `int` | `getRemainingEffort()` Returns 'remainingEffort'.
    `String` | `getReportedReleaseId()` Returns 'reportedReleaseId'.
    `String` | `getResolvedReleaseId()` Returns 'resolvedReleaseId'.
    `String` | `getStatus()` Returns 'status'.
    `String` | `getStatusClass()` Returns 'statusClass'.
    `String` | `getTeamId()` Returns 'teamId'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setActualEffort(int actualEffort)` Sets 'actualEffort'.
    `void` | `setAssignedTo(String assignedTo)` Sets 'assignedTo'.
    `void` | `setAutosumming(boolean autosumming)` Sets 'autosumming'.
    `void` | `setAutoSummingPoints(boolean autoSummingPoints)` Sets 'autoSummingPoints'.
    `void` | `setCategory(String category)` Sets 'category'.
    `void` | `setCloseDate(Date closeDate)` Sets 'closeDate'.
    `void` | `setCustomer(String customer)` Sets 'customer'.
    `void` | `setDescription(String description)` Sets 'description'.
    `void` | `setEstimatedEffort(int estimatedEffort)` Sets 'estimatedEffort'.
    `void` | `setFlexFields(com.collabnet.ce.soap60.types.SoapFieldValues flexFields)` Sets 'flexFields'.
    `void` | `setGroup(String group)` Sets 'group'.
    `void` | `setPlanningFolderId(String planningFolderId)` Sets 'planningFolderId'.
    `void` | `setPoints(int points)` Sets 'points'.
    `void` | `setPriority(int priority)` Sets 'priority'.
    `void` | `setRemainingEffort(int remainingEffort)` Sets 'remainingEffort'.
    `void` | `setReportedReleaseId(String reportedReleaseId)` Sets 'reportedReleaseId'.
    `void` | `setResolvedReleaseId(String resolvedReleaseId)` Sets 'resolvedReleaseId'.
    `void` | `setStatus(String status)` Sets 'status'.
    `void` | `setStatusClass(String statusClass)` Sets 'statusClass'.
    `void` | `setTeamId(String teamId)` Sets 'teamId'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ItemSoapDO

      `getFolderId, getPath, getTitle, setFolderId, setPath, setTitle`

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PRIORITY_HIGHEST

          public static final int PRIORITY_HIGHEST

      Possible value for the 'priority' field
      See Also:
        Constant Field Values

    - #### PRIORITY_HIGH

          public static final int PRIORITY_HIGH

      Possible value for the 'priority' field
      See Also:
        Constant Field Values

    - #### PRIORITY_MEDIUM

          public static final int PRIORITY_MEDIUM

      Possible value for the 'priority' field
      See Also:
        Constant Field Values

    - #### PRIORITY_LOW

          public static final int PRIORITY_LOW

      Possible value for the 'priority' field
      See Also:
        Constant Field Values

    - #### PRIORITY_LOWEST

          public static final int PRIORITY_LOWEST

      Possible value for the 'priority' field
      See Also:
        Constant Field Values

    - #### PRIORITY_NONE

          public static final int PRIORITY_NONE

      Possible value for the 'priority' field
      See Also:
        Constant Field Values

    - #### FILTER_STATUS_CLASS

          public static final String FILTER_STATUS_CLASS

      Filter name for status class.
      See Also:
        Constant Field Values

    - #### FILTER_STATUS

          public static final String FILTER_STATUS

      Filter name for status.
      See Also:
        Constant Field Values

    - #### FILTER_ASSIGNED_TO

          public static final String FILTER_ASSIGNED_TO

      Filter name for assignedTo.
      See Also:
        Constant Field Values

    - #### FILTER_SUBMITTED_BY

          public static final String FILTER_SUBMITTED_BY

      Filter name for submittedBy.
      See Also:
        Constant Field Values

    - #### FILTER_PRIORITY

          public static final String FILTER_PRIORITY

      Filter name for priority.
      See Also:
        Constant Field Values

    - #### FILTER_REMAINING_EFFORT

          public static final String FILTER_REMAINING_EFFORT

      Filter name for remaining effort.
      See Also:
        Constant Field Values

    - #### FILTER_ACTUAL_EFFORT

          public static final String FILTER_ACTUAL_EFFORT

      Filter name for actual effort.
      See Also:
        Constant Field Values

    - #### FILTER_ESTIMATED_EFFORT

          public static final String FILTER_ESTIMATED_EFFORT

      Filter name for estimated effort.
      See Also:
        Constant Field Values

    - #### FILTER_POINTS

          public static final String FILTER_POINTS

      Filter name for points.
      See Also:
        Constant Field Values

    - #### FILTER_CATEGORY

          public static final String FILTER_CATEGORY

      Filter name for category.
      See Also:
        Constant Field Values

    - #### FILTER_PLANNING_FOLDER_ID

          public static final String FILTER_PLANNING_FOLDER_ID

      Filter name for planning folder id.
      See Also:
        Constant Field Values

    - #### FILTER_TEAM_ID

          public static final String FILTER_TEAM_ID

      Filter name for team id.
      See Also:
        Constant Field Values

    - #### FILTER_MODIFIED_BEFORE

          public static final String FILTER_MODIFIED_BEFORE

      Filter name for modified before.
      See Also:
        Constant Field Values

    - #### FILTER_MODIFIED_AFTER

          public static final String FILTER_MODIFIED_AFTER

      Filter name for modified after.
      See Also:
        Constant Field Values

    - #### FILTER_SUBMITTED_BEFORE

          public static final String FILTER_SUBMITTED_BEFORE

      Filter name for submitted before.
      See Also:
        Constant Field Values

    - #### FILTER_SUBMITTED_AFTER

          public static final String FILTER_SUBMITTED_AFTER

      Filter name for submitted after.
      See Also:
        Constant Field Values

    - #### FILTER_CUSTOMER

          public static final String FILTER_CUSTOMER

      Filter name for customer.
      See Also:
        Constant Field Values

    - #### FILTER_GROUP

          public static final String FILTER_GROUP

      Filter name for group.
      See Also:
        Constant Field Values

    - #### FILTER_TITLE

          public static final String FILTER_TITLE

      Filter name for title.
      See Also:
        Constant Field Values

    - #### FILTER_AUTOSUMMING

          public static final String FILTER_AUTOSUMMING

      Filter name for autosumming.
      See Also:
        Constant Field Values

    - #### FILTER_AUTO_SUMMING_POINTS

          public static final String FILTER_AUTO_SUMMING_POINTS

      Filter name for auto summing points.
      See Also:
        Constant Field Values

    - #### FILTER_REPORTED_IN_RELEASE_TITLE

          public static final String FILTER_REPORTED_IN_RELEASE_TITLE

      Filter name for reported in release title column name.
      See Also:
        Constant Field Values

    - #### FILTER_RESOLVED_IN_RELEASE_TITLE

          public static final String FILTER_RESOLVED_IN_RELEASE_TITLE

      Filter name for resolved in release title column name.
      See Also:
        Constant Field Values

    - #### FILTER_REPORTED_IN_RELEASE_ID

          public static final String FILTER_REPORTED_IN_RELEASE_ID

      Filter name for reported in release id column name.
      See Also:
        Constant Field Values

    - #### FILTER_RESOLVED_IN_RELEASE_ID

          public static final String FILTER_RESOLVED_IN_RELEASE_ID

      Filter name for resolved in release id column name.
      See Also:
        Constant Field Values

    - #### COLUMN_ID

          public static final String COLUMN_ID

      Id column name.
      See Also:
        Constant Field Values

    - #### COLUMN_PRIORITY

          public static final String COLUMN_PRIORITY

      Priority column name.
      See Also:
        Constant Field Values

    - #### COLUMN_PROJECT_PATH_STRING

          public static final String COLUMN_PROJECT_PATH_STRING

      project Path String column name.
      See Also:
        Constant Field Values

    - #### COLUMN_PROJECT_TITLE

          public static final String COLUMN_PROJECT_TITLE

      Project Title column name.
      See Also:
        Constant Field Values

    - #### COLUMN_PROJECT_ID

          public static final String COLUMN_PROJECT_ID

      Project Id column name.
      See Also:
        Constant Field Values

    - #### COLUMN_FOLDER_PATH_STRING

          public static final String COLUMN_FOLDER_PATH_STRING

      Folder Path String column name.
      See Also:
        Constant Field Values

    - #### COLUMN_FOLDER_TITLE

          public static final String COLUMN_FOLDER_TITLE

      Folder Title column name.
      See Also:
        Constant Field Values

    - #### COLUMN_FOLDER_ID

          public static final String COLUMN_FOLDER_ID

      Folder Id column name.
      See Also:
        Constant Field Values

    - #### COLUMN_TITLE

          public static final String COLUMN_TITLE

      Title column name.
      See Also:
        Constant Field Values

    - #### COLUMN_DESCRIPTION

          public static final String COLUMN_DESCRIPTION

      Description column name.
      See Also:
        Constant Field Values

    - #### COLUMN_ARTIFACT_GROUP

          public static final String COLUMN_ARTIFACT_GROUP

      Artifact Group column name.
      See Also:
        Constant Field Values

    - #### COLUMN_STATUS

          public static final String COLUMN_STATUS

      Status column name.
      See Also:
        Constant Field Values

    - #### COLUMN_STATUS_CLASS

          public static final String COLUMN_STATUS_CLASS

      Status Class column name.
      See Also:
        Constant Field Values

    - #### COLUMN_CATEGORY

          public static final String COLUMN_CATEGORY

      Category column name.
      See Also:
        Constant Field Values

    - #### COLUMN_CUSTOMER

          public static final String COLUMN_CUSTOMER

      Customer column name.
      See Also:
        Constant Field Values

    - #### COLUMN_SUBMITTED_BY_USERNAME

          public static final String COLUMN_SUBMITTED_BY_USERNAME

      Submitted By Username column name.
      See Also:
        Constant Field Values

    - #### COLUMN_SUBMITTED_BY_FULLNAME

          public static final String COLUMN_SUBMITTED_BY_FULLNAME

      Submitted By Fullname column name.
      See Also:
        Constant Field Values

    - #### COLUMN_SUBMITTED_DATE

          public static final String COLUMN_SUBMITTED_DATE

      Submitted Date column name.
      See Also:
        Constant Field Values

    - #### COLUMN_CLOSE_DATE

          public static final String COLUMN_CLOSE_DATE

      Close Date column name.
      See Also:
        Constant Field Values

    - #### COLUMN_ASSIGNED_TO_USERNAME

          public static final String COLUMN_ASSIGNED_TO_USERNAME

      Assigned To Username column name.
      See Also:
        Constant Field Values

    - #### COLUMN_ASSIGNED_TO_FULLNAME

          public static final String COLUMN_ASSIGNED_TO_FULLNAME

      Assigned To Fullname column name.
      See Also:
        Constant Field Values

    - #### COLUMN_LAST_MODIFIED_DATE

          public static final String COLUMN_LAST_MODIFIED_DATE

      Last Modified Date column name.
      See Also:
        Constant Field Values

    - #### COLUMN_ESTIMATED_EFFORT

          public static final String COLUMN_ESTIMATED_EFFORT

      Estimated Effort column name.
      See Also:
        Constant Field Values

    - #### COLUMN_ACTUAL_EFFORT

          public static final String COLUMN_ACTUAL_EFFORT

      Actual Effort column name.
      See Also:
        Constant Field Values

    - #### COLUMN_REMAINING_EFFORT

          public static final String COLUMN_REMAINING_EFFORT

      Remaining Effort column name.
      See Also:
        Constant Field Values

    - #### COLUMN_PLANNING_FOLDER_ID

          public static final String COLUMN_PLANNING_FOLDER_ID

      Planning Folder Id.
      See Also:
        Constant Field Values

    - #### COLUMN_TEAM_ID

          public static final String COLUMN_TEAM_ID

      Team Id.
      See Also:
        Constant Field Values

    - #### COLUMN_AUTOSUMMING

          public static final String COLUMN_AUTOSUMMING

      Autosumming.
      See Also:
        Constant Field Values

    - #### COLUMN_AUTO_SUMMING_POINTS

          public static final String COLUMN_AUTO_SUMMING_POINTS

      Auto Summing Points.
      See Also:
        Constant Field Values

    - #### COLUMN_POINTS

          public static final String COLUMN_POINTS

      Points.
      See Also:
        Constant Field Values

    - #### COLUMN_REPORTED_IN_RELEASE_TITLE

          public static final String COLUMN_REPORTED_IN_RELEASE_TITLE

      Reported In Release Title column name.
      See Also:
        Constant Field Values

    - #### COLUMN_RESOLVED_IN_RELEASE_TITLE

          public static final String COLUMN_RESOLVED_IN_RELEASE_TITLE

      Resolved In Release Title column name.
      See Also:
        Constant Field Values

    - #### COLUMN_PLANNING_FOLDER_TITLE

          public static final String COLUMN_PLANNING_FOLDER_TITLE

      Planning Folder Title column name.
      See Also:
        Constant Field Values

    - #### COLUMN_FLEX_FIELDS

          public static final String COLUMN_FLEX_FIELDS

      Flex Fields column name.
      See Also:
        Constant Field Values

    - #### COLUMN_VERSION

          public static final String COLUMN_VERSION

      Version column name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Artifact2SoapDO

          public Artifact2SoapDO()

  - ### Method Detail

    - #### getDescription

          public String getDescription()

      Returns 'description'. Artifact description
      Returns:
        Value of 'description'.

    - #### setDescription

          public void setDescription(String description)

      Sets 'description'. Artifact description
      Parameters:
        `description` - Value of 'description'.

    - #### getCategory

          public String getCategory()

      Returns 'category'. The category field of the artifact
      Returns:
        Value of 'category'.

    - #### setCategory

          public void setCategory(String category)

      Sets 'category'. The category field of the artifact
      Parameters:
        `category` - Value of 'category'.

    - #### getGroup

          public String getGroup()

      Returns 'group'. The group field of the artifact
      Returns:
        Value of 'group'.

    - #### setGroup

          public void setGroup(String group)

      Sets 'group'. The group field of the artifact
      Parameters:
        `group` - Value of 'group'.

    - #### getStatus

          public String getStatus()

      Returns 'status'. The user specified status of the artifact. Can be one of 'Open', 'Closed', 'Pending' or a custom value, as defined in the tracker.
      Returns:
        Value of 'status'.

    - #### setStatus

          public void setStatus(String status)

      Sets 'status'. The user specified status of the artifact. Can be one of 'Open', 'Closed', 'Pending' or a custom value, as defined in the tracker.
      Parameters:
        `status` - Value of 'status'.

    - #### getStatusClass

          public String getStatusClass()

      Returns 'statusClass'. 'status' field values can indicate the internal status (or class) of the artifact. Can be one of "Open" or "Close" - see the constants defined in FieldValueSoapDO.
      Returns:
        Value of 'statusClass'.

    - #### setStatusClass

          public void setStatusClass(String statusClass)

      Sets 'statusClass'. 'status' field values can indicate the internal status (or class) of the artifact. Can be one of "Open" or "Close" - see the constants defined in FieldValueSoapDO.
      Parameters:
        `statusClass` - Value of 'statusClass'.

    - #### getCustomer

          public String getCustomer()

      Returns 'customer'. The artifact relates to this customer
      Returns:
        Value of 'customer'.

    - #### setCustomer

          public void setCustomer(String customer)

      Sets 'customer'. The artifact relates to this customer
      Parameters:
        `customer` - Value of 'customer'.

    - #### getPriority

          public int getPriority()

      Returns 'priority'. The level of importance and/or urgency of the artifact. Can be one of 1-5 indicating highest priority to lowest priority, or 0 for no priority specified.
      Returns:
        Value of 'priority'.

    - #### setPriority

          public void setPriority(int priority)

      Sets 'priority'. The level of importance and/or urgency of the artifact. Can be one of 1-5 indicating highest priority to lowest priority, or 0 for no priority specified.
      Parameters:
        `priority` - Value of 'priority'.

    - #### getEstimatedEffort

          public int getEstimatedEffort()

      Returns 'estimatedEffort'. The estimated amount of effort needed to resolve issues with the artifact
      Returns:
        Value of 'estimatedEffort'.

    - #### setEstimatedEffort

          public void setEstimatedEffort(int estimatedEffort)

      Sets 'estimatedEffort'. The estimated amount of effort needed to resolve issues with the artifact
      Parameters:
        `estimatedEffort` - Value of 'estimatedEffort'.

    - #### getActualEffort

          public int getActualEffort()

      Returns 'actualEffort'. The amount of effort actually spent resolving issues with the artifact
      Returns:
        Value of 'actualEffort'.

    - #### setActualEffort

          public void setActualEffort(int actualEffort)

      Sets 'actualEffort'. The amount of effort actually spent resolving issues with the artifact
      Parameters:
        `actualEffort` - Value of 'actualEffort'.

    - #### getRemainingEffort

          public int getRemainingEffort()

      Returns 'remainingEffort'. The amount of effort remaining needed to resolve issues with the artifact
      Returns:
        Value of 'remainingEffort'.

    - #### setRemainingEffort

          public void setRemainingEffort(int remainingEffort)

      Sets 'remainingEffort'. The amount of effort remaining needed to resolve issues with the artifact
      Parameters:
        `remainingEffort` - Value of 'remainingEffort'.

    - #### getPoints

          public int getPoints()

      Returns 'points'. The number of points for the artifact
      Returns:
        Value of 'points'.

    - #### setPoints

          public void setPoints(int points)

      Sets 'points'. The number of points for the artifact
      Parameters:
        `points` - Value of 'points'.

    - #### getCloseDate

          public Date getCloseDate()

      Returns 'closeDate'. The date the artifact was closed
      Returns:
        Value of 'closeDate'.

    - #### setCloseDate

          public void setCloseDate(Date closeDate)

      Sets 'closeDate'. The date the artifact was closed
      Parameters:
        `closeDate` - Value of 'closeDate'.

    - #### getAssignedTo

          public String getAssignedTo()

      Returns 'assignedTo'. The artifact is assigned to the user with username
      Returns:
        Value of 'assignedTo'.

    - #### setAssignedTo

          public void setAssignedTo(String assignedTo)

      Sets 'assignedTo'. The artifact is assigned to the user with username
      Parameters:
        `assignedTo` - Value of 'assignedTo'.

    - #### getReportedReleaseId

          public String getReportedReleaseId()

      Returns 'reportedReleaseId'. The release in which the artifact was reported
      Returns:
        Value of 'reportedReleaseId'.

    - #### setReportedReleaseId

          public void setReportedReleaseId(String reportedReleaseId)

      Sets 'reportedReleaseId'. The release in which the artifact was reported
      Parameters:
        `reportedReleaseId` - Value of 'reportedReleaseId'.

    - #### getResolvedReleaseId

          public String getResolvedReleaseId()

      Returns 'resolvedReleaseId'. The release in which the artifact is resolved
      Returns:
        Value of 'resolvedReleaseId'.

    - #### setResolvedReleaseId

          public void setResolvedReleaseId(String resolvedReleaseId)

      Sets 'resolvedReleaseId'. The release in which the artifact is resolved
      Parameters:
        `resolvedReleaseId` - Value of 'resolvedReleaseId'.

    - #### getPlanningFolderId

          public String getPlanningFolderId()

      Returns 'planningFolderId'. The planning folder the artifact belongs to
      Returns:
        Value of 'planningFolderId'.

    - #### setPlanningFolderId

          public void setPlanningFolderId(String planningFolderId)

      Sets 'planningFolderId'. The planning folder the artifact belongs to
      Parameters:
        `planningFolderId` - Value of 'planningFolderId'.

    - #### getTeamId

          public String getTeamId()

      Returns 'teamId'. The team the artifact belongs to
      Returns:
        Value of 'teamId'.

    - #### setTeamId

          public void setTeamId(String teamId)

      Sets 'teamId'. The team the artifact belongs to
      Parameters:
        `teamId` - Value of 'teamId'.

    - #### getAutosumming

          public boolean getAutosumming()

      Returns 'autosumming'. Determines whether autosumming is enabled for this artifact
      Returns:
        Value of 'autosumming'.

    - #### setAutosumming

          public void setAutosumming(boolean autosumming)

      Sets 'autosumming'. Determines whether autosumming is enabled for this artifact
      Parameters:
        `autosumming` - Value of 'autosumming'.

    - #### getAutoSummingPoints

          public boolean getAutoSummingPoints()

      Returns 'autoSummingPoints'. Determines whether auto summing points is enabled for this artifact
      Returns:
        Value of 'autoSummingPoints'.

    - #### setAutoSummingPoints

          public void setAutoSummingPoints(boolean autoSummingPoints)

      Sets 'autoSummingPoints'. Determines whether auto summing points is enabled for this artifact
      Parameters:
        `autoSummingPoints` - Value of 'autoSummingPoints'.

    - #### getFlexFields

          public com.collabnet.ce.soap60.types.SoapFieldValues getFlexFields()

      Returns 'flexFields'. Named values for custom fields for the tracker that contains the artifact. For multi-select custom fields, the name is repeated for each value. For example, for a multi-select field days_of_week where MWF are set, SoapFieldValues { names = {"days_of_week", "days_of_week", "days_of_week"}, values = {"Monday", "Wednesday", "Friday"} types = {TrackerFieldSoapDO.FIELD_VALUE_TYPE_STRING, TrackerFieldSoapDO.FIELD_VALUE_TYPE_STRING, TrackerFieldSoapDO.FIELD_VALUE_TYPE_STRING} }
      Returns:
        Value of 'flexFields'.

    - #### setFlexFields

          public void setFlexFields(com.collabnet.ce.soap60.types.SoapFieldValues flexFields)

      Sets 'flexFields'. Named values for custom fields for the tracker that contains the artifact. For multi-select custom fields, the name is repeated for each value. For example, for a multi-select field days_of_week where MWF are set, SoapFieldValues { names = {"days_of_week", "days_of_week", "days_of_week"}, values = {"Monday", "Wednesday", "Friday"} types = {TrackerFieldSoapDO.FIELD_VALUE_TYPE_STRING, TrackerFieldSoapDO.FIELD_VALUE_TYPE_STRING, TrackerFieldSoapDO.FIELD_VALUE_TYPE_STRING} }
      Parameters:
        `flexFields` - Value of 'flexFields'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.